summaryrefslogtreecommitdiffstats
path: root/tests/posix/depth_error.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/posix/depth_error.sh')
-rw-r--r--tests/posix/depth_error.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/posix/depth_error.sh b/tests/posix/depth_error.sh
new file mode 100644
index 0000000..9acf976
--- /dev/null
+++ b/tests/posix/depth_error.sh
@@ -0,0 +1,11 @@
+rm -rf scratch/*
+touchp scratch/foo/bar
+chmod a-r scratch/foo
+
+bfs_diff scratch -depth
+ret=$?
+
+chmod +r scratch/foo
+rm -rf scratch/*
+
+[ $ret -eq $EX_BFS ]